@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>About Us</span>
        </li>
    </ol>
</nav>

@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>@if($action=="Edit")Edit @else Add @endif About Us</strong><span class="small ms-1">About Us</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            @if($action=="Edit")
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.about-us.update',$data->id) }}" method="post" enctype="multipart/form-data">
                                @method('PUT')
                            @else
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.about-us.store') }}" method="post" enctype="multipart/form-data">
                            @endif
                            @csrf
                                <div class="p-3 preview"> 
                                    <div class="mb-3">
                                        <label class="form-label" for="title">Banner for About Us <span style="color:red;">*</span></label>
                                        @error('banner')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" id="file-upload" type="file" name="banner" accept="image/*" @if(@$data->banner) data-default-file="{{Storage::url($data->banner)}}" @endif/>
                                        @if(@$data->banner)
                                        <input name="old_banner" type="hidden" value="{{$data->banner}}">
                                        @endif
                                    </div>
                                    <div class="row">
                                        <div class="col-8">
                                            <div class="mb-3">
                                                <label class="form-label" for="title">About Us Title <span style="color:red;">*</span></label>
                                                @error('title')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="title" type="text" name="title" value="{{@$data->title}}" placeholder="Title" >
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="description">About Us Description <span style="color:red;">*</span></label>
                                                @error('description')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <textarea class="form-control" name="description" id="description" rows="4" >{{@$data->description}}</textarea>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <label class="form-label" for="title">Image for About Us <span style="color:red;">*</span></label>
                                            @error('first_image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" type="file" name="first_image" accept="image/*" @if(@$data->first_image) data-default-file="{{Storage::url($data->first_image)}}" @endif/>
                                            @if(@$data->first_image)
                                            <input name="old_first_image" type="hidden" value="{{$data->first_image}}">
                                            @endif
                                        </div>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="title">Long Image for About Us <span style="color:red;">*</span></label>
                                        @error('long_image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" type="file" name="long_image" accept="image/*" @if(@$data->long_image) data-default-file="{{Storage::url($data->long_image)}}" @endif/>
                                        @if(@$data->long_image)
                                        <input name="old_long_image" type="hidden" value="{{$data->long_image}}">
                                        @endif
                                    </div>
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="story_title">Story Title <span style="color:red;">*</span></label>
                                                @error('story_title')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="story_title" type="text" name="story_title" value="{{@$data->story_title}}" placeholder="Story Title" >
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="story_description">Story Description <span style="color:red;">*</span></label>
                                                @error('story_description')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <textarea class="form-control" name="story_description" id="story_description" rows="4" >{{@$data->story_description}}</textarea>
                                            </div>
                                        </div>
                                        <div class="col-3">
                                            <label class="form-label" for="first_story_image">First Image for Story <span style="color:red;">*</span></label>
                                            @error('first_story_image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" type="file" name="first_story_image" accept="image/*" @if(@$data->first_story_image) data-default-file="{{Storage::url($data->first_story_image)}}" @endif/>
                                            @if(@$data->first_story_image)
                                            <input name="old_first_story_image" type="hidden" value="{{$data->first_story_image}}">
                                            @endif
                                        </div>
                                        <div class="col-3">
                                            <label class="form-label" for="title">Second Image for Story <span style="color:red;">*</span></label>
                                            @error('second_story_image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" type="file" name="second_story_image" accept="image/*" @if(@$data->second_story_image) data-default-file="{{Storage::url($data->second_story_image)}}" @endif/>
                                            @if(@$data->second_story_image)
                                            <input name="old_second_story_image" type="hidden" value="{{$data->second_story_image}}">
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-8">
                                            <div class="mb-3">
                                                <label class="form-label" for="mission_description">Mission Description <span style="color:red;">*</span></label>
                                                @error('mission_description')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <textarea class="form-control" name="mission_description" id="mission_description" rows="6" >{{@$data->mission_description}}</textarea>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <label class="form-label" for="mission_image">Mission Image <span style="color:red;">*</span></label>
                                            @error('mission_image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" type="file" name="mission_image" accept="image/*" @if(@$data->mission_image) data-default-file="{{Storage::url($data->mission_image)}}" @endif/>
                                            @if(@$data->mission_image)
                                            <input name="old_mission_image" type="hidden" value="{{$data->mission_image}}">
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-8">
                                            <div class="mb-3">
                                                <label class="form-label" for="vision_description">Vision Description <span style="color:red;">*</span></label>
                                                @error('vision_description')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <textarea class="form-control" name="vision_description" id="vision_description" rows="6" >{{@$data->vision_description}}</textarea>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <label class="form-label" for="title">Vision Image<span style="color:red;">*</span></label>
                                            @error('vision_image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" type="file" name="vision_image" accept="image/*" @if(@$data->vision_image) data-default-file="{{Storage::url($data->vision_image)}}" @endif/>
                                            @if(@$data->vision_image)
                                            <input name="old_vision_image" type="hidden" value="{{$data->vision_image}}">
                                            @endif
                                        </div>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="objectives">Objectives<span style="color:red;">*</span></label>
                                        @error('objectives')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control texteditor" name="objectives" id="objectives" rows="5" >{{@$data->objectives}}</textarea>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="strategies">Strategies <span style="color:red;">*</span></label>
                                        @error('strategies')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control" name="strategies" id="strategies" rows="5" >{{@$data->strategies}}</textarea>
                                    </div>
                                   
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    // document.querySelectorAll('.texteditor').forEach(editor => {
    //     BalloonEditor
    //         .create(editor)
    //         .catch(error => {
    //             console.error(error);
    //     });
    // });
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
</script>
@endsection
