@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.banner.index')}}">Banner</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Add Banner</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>Add Banner</strong><span class="small ms-1">Banner</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.banner.store') }}" method="post" enctype="multipart/form-data">
                            @csrf
                                <div class="p-3 preview">
                                    <div class="row">
                                        <div class="col-6">
                                            <label class="form-label" for="image">Banner Image<span style="color:red;">*</span></label>
                                            @error('image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif/>
                                            @if(@$data->image)
                                            <input name="old_image" type="hidden" value="{{$data->image}}">
                                            @endif
                                        </div>
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="title">Title</label>
                                                @error('title')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="title" type="text" name="title" placeholder="Banner Title" value="{{old('title')}}">
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="description">Description</label>
                                                @error('description')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <textarea class="form-control" name="description" id="description" rows="2" required="">{{old('description')}}</textarea>
                                            </div>
                                        </div>
                                  
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="button_title">Button Title</label>
                                        @error('button_title')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="button_title" type="text" name="button_title" placeholder="Button Title" value="{{old('button_title')}}">
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="button_link">Button link</label>
                                        @error('button_link')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="button_link" type="text" name="button_link" value="{{old('button_link')}}" placeholder='Button link' />
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="alt_button_title">Alternate Button Title </label>
                                        @error('alt_button_title')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="alt_button_title" type="text" name="alt_button_title" placeholder="Alt button title" value="{{old('alt_button_title')}}">
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="alt_button_link">Alternate Button link</label>
                                        @error('alt_button_link')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="alt_button_link" type="text" name="alt_button_link" value="{{old('alt_button_link')}}" placeholder='Alternate Button link' />
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="sort_order">Sort Order</label>
                                        @error('sort_order')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{old('sort_order')??'1'}}" placeholder="Sorting Order">
                                    </div>
                                   
                                    <div class="form-check mb-3">
                                        <label class="form-check-label" for="show_form">
                                            Show Form <span style="color:green;">Only one banner can have form. This banner will be showed first.</span>
                                        </label>
                                        <input class="form-check-input" name="show_form" type="checkbox" value="1" id="show_form">
                                    </div>

                                    <div class="form-check mb-3">
                                        <label class="form-check-label" for="active">
                                            Publish <span style="color:green;">If checked the banner will be published.</span>
                                        </label>
                                        <input class="form-check-input" name="active" type="checkbox" checked="" value="1" id="active">
                                    </div>                                   
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
