@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Words From Chairman</span>
        </li>
    </ol>
</nav>

<style>
textarea{
    min-height: 200px;
    /* border: 1px solid #000 !important;  Border style */
    /* padding: 10px */
}
.ck-editor__editable_inline {
    min-height: 200px;
}
    </style>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>@if($action=="Edit")Edit @else Add @endif Words from Chairman</strong><span class="small ms-1">Chairman</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            @if($action=="Edit")
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.chairman.update',$data->id) }}" method="post" enctype="multipart/form-data">
                                @method('PUT')
                            @else
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.chairman.store') }}" method="post" enctype="multipart/form-data">
                            @endif
                            @csrf
                                <div class="p-3 preview"> 
                                    <div class="row">
                                        <div class="col-8">
                                            <div class="mb-3">
                                                <label class="form-label" for="name">Name <span style="color:red;">*</span></label>
                                                @error('name')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="name" type="text" name="name" value="{{@$data->name}}" placeholder="Name" >
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="designation">Designation <span style="color:red;">*</span></label>
                                                @error('designation')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="designation" type="text" name="designation" value="{{@$data->designation}}" placeholder="Designation" >
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="quote">Quote<span style="color:red;">*</span></label>
                                                @error('quote')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="quote" type="text" name="quote" value="{{@$data->quote}}" placeholder="Quote" >
                                            </div>
                                         
                                        </div>
                                        <div class="col-4">
                                            <label class="form-label" for="image">Chairman Image<span style="color:red;">*</span></label>
                                            @error('image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif/>
                                            @if(@$data->image)
                                            <input name="old_image" type="hidden" value="{{$data->image}}">
                                            @endif
                                        </div>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="description">Description<span style="color:red;">*</span></label>
                                        @error('description')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control texteditor" name="description" id="description" rows="5" >{{@$data->description}}</textarea>
                                    </div>                                   
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    // document.querySelectorAll('.texteditor').forEach(editor => {
    //     BalloonEditor
    //         .create(editor)
    //         .catch(error => {
    //             console.error(error);
    //     });
    // });
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
</script>
@endsection
