@extends('frontend.layouts.master')

@section('content')

<div class="banner gmcs-banner">
    <section class="banner-sec">
        <img src="{{Storage::url(@$about->banner)}}" class="img-fluid" alt="">
        <div class="container">
            <nav aria-label="breadcrumb" class="page-menu">
                <h2>About</h2>
                <ul class="breadcrumb">
                    <li><a href="{{route('frontend.home')}}">Home</a></li>
                    <li>About</li>
                </ul>
            </nav>
        </div>
    </section>
</div>

<div class="about gmcs-about position-relative">
    <div class="container">
        <section class="about-sec">
            <div class="entry-content">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="section-intro pe-5 check-list">
                            <div class="section-title">
                                <h3 class="small-title">About</h3>
                                <h2>{{$about->title??'GJC'}}</h2>
                            </div>
                            <p >{!!@$about->description!!}</p>
                        </div>
                    </div>
                </div>

            </div>

        </section>
    </div>
    <div class="abt-img">
        <div class="row">
            <div class="offset-lg-6 col-lg-6">
                <img src="@if(@$about->first_image){{Storage::url($about->first_image)}} @else {{asset('frontend/images/hero1.jpg')}} @endif" class="img-fluid" alt="">
            </div>
        </div>
    </div>
</div>
<div class="structure gmcs-structure">
    <section class="structure-sec p-0">
        <img src="@if(@$about->long_image){{Storage::url($about->long_image)}} @else {{asset('frontend/images/building.jpg')}} @endif" class="img-fluid" alt="">
    </section>
</div>
<div class="story">
    <div class="container">
        <section class="story-sec">
            <div class="row">
                <div class="col-lg-6 col-md-6">
                    <div class="section-intro">
                        <div class="section-title">
                            <h3 class="small-title">Story</h3>
                            <h2>{{@$about->story_title??'GMCS Story'}}</h2>
                        </div>
                        {!!@$about->story_description!!}
                    </div>
                    <div class="company-status">
                        {{-- <div class="row">
                            <div class="col-lg-4 col-md-4">
                                <h5>Established</h5>
                                <span>2015</span>
                            </div>
                            <div class="col-lg-4 col-md-4">
                                <h5>Facultty</h5>
                                <span>10</span>
                            </div>
                            <div class="col-lg-4 col-md-4">
                                <h5>Awards</h5>
                                <span>25+</span>
                            </div>
                        </div> --}}
                    </div>
                </div>
                <!-- Story images start -->
                <!-- ACF fields -->
                <div class="col-lg-6 col-md-6">
                    <div class="story-images ps-5">
                        <ul>
                            <li>
                                <img src="@if(@$about->first_story_image){{Storage::url($about->first_story_image)}} @else {{asset('frontend/images/story1.png')}} @endif" class="img-fluid" alt="">
                            </li>
                            <li>
                                <img src="@if(@$about->second_story_image){{Storage::url($about->second_story_image)}} @else {{asset('frontend/images/story2.png')}} @endif" class="img-fluid" alt="">
                            </li>
                        </ul>
                    </div>
                </div>
                <!-- Story image end -->
            </div>

        </section>
    </div>
</div>
<div class="choose gmcs-choose">
    <div class="container">
        <section class="choose-sec p-0">
            <div class="entry-content">
                <div class="row">
                    <div class="col-lg-6 col-md-6">
                        <div class="choose-card">
                            <h3>Our Mission</h3>
                            {!!@$about->mission_description!!}
                            <figure>
                                <img src="@if(@$about->mission_image){{Storage::url($about->mission_image)}} @else {{asset('frontend/images/news1.png')}} @endif" class="img-fluid" alt="">
                            </figure>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6">
                        <div class="choose-card">
                            <h3>Our Vision</h3>
                            {!!@$about->vision_description!!}
                            <figure>
                                <img src="@if(@$about->vision_image){{Storage::url($about->vision_image)}} @else {{asset('frontend/images/news3.jpg')}} @endif" class="img-fluid" alt="">
                            </figure>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<div class="goal gmcs-goal">
    <div class="container">
        <section class="goal-sec">
            <div class="entry-content">
                <div class="row g-0">
                    <div class="col-lg-6">
                        <div class="goal-card">
                            <h3>Objectives</h3>
                            {!!@$about->objectives!!}
                        </div>

                    </div>
                    <div class="col-lg-6">
                        <div class="goal-card">
                            <h3>Major Strategies</h3>
                            {!!@$about->strategies!!}
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>

@endsection