@extends('frontend.layouts.master')

@section('content')
<div class="hero gmcs-hero">
    <section class="hero-sec pt-0 small-pb">
        <div class="hero-slider">
            @foreach($banners as $k=>$v)
            <div class="slide-item">
                <figure>
                    <div class="hero-image">
                        <img src="{{Storage::url($v->image)}}" class="img-fluid" alt="">
                    </div>
                    <div class="hero-content">
                        <div class="container">
                            <div class="row align-items-center">
                                <div class="col-lg-7">
                                    <div class="hero-text ">
                                        <h2>{{$v->title}}</h2>
                                        <p>{{$v->description}}</p>
                                        <ul class="group-btn">
                                            @if($v->button_link && $v->button_title)
                                            <li>
                                                <a href="$v->button_link" class="page-btn">{{$v->button_title}}</a>
                                            </li>
                                            @endif
                                            @if($v->alt_button_link && $v->alt_button_title)
                                            <li>
                                                <a href="$v->alt_button_link" class="page-btn no-bg">{{$v->alt_button_title}}</a>
                                            </li>
                                            @endif
                                        </ul>
                                    </div>
                                </div>
                                @if($v->show_form)
                                <div class="col-lg-5">
                                    <div class="hero-form bg-white p-5">
                                        <h3>
                                            For seat Reservation <br>
                                            <span class="text-red">call</span> <br>
                                            <span class="text-red">{{$setting->phone_no}}</span> <br>
                                        </h3>
                                        <h3>OR</h3>
                                        <h3>Fill in the form and we will contact you.</h3>
                                        <form>
                                            <div class="form-group">
                                                <input type="text" placeholder="Student Name">
                                            </div>
                                            <div class="form-group">
                                                <input type="text" placeholder="Class">
                                            </div>
                                            <div class="form-group">
                                                <input type="email" placeholder="Email Address">
                                            </div>
                                            <div class="form-group">
                                                <input type="number" placeholder="Phone Number">
                                            </div>
                                            <button>Submit</button>
                                        </form>
                                    </div>
                                </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </figure>
            </div>
            @endforeach
        </div>
    </section>
</div>

@if(@$notice)
<div class="notice-slide"  data-aos="fade-in">
    <div class="container">
        <div class="notice-content position-relative">
            <h5> <img src="{{asset('frontend/images/pushpin.png')}}"> Notices</h5>
            <div class="notice-slider">
                <div class="slide-item">
                    <a href="notice.php">Lorem Ipsum is simply dummy text of the printing and typesetting 1</a>
                </div>
                <div class="slide-item">
                    <a href="notice.php">Lorem Ipsum is simply dummy text of the printing and typesetting 2</a>
                </div>
                <div class="slide-item">
                    <a href="notice.php">Lorem Ipsum is simply dummy text of the printing and typesetting 3</a>
                </div>
            </div>
        </div>
    </div>
</div>
@endif

@if(@$about)
<div class="intro gmcs-intro position-relative">
    <div class="container">
        <section class="intro-sec small-pt">
            <div class="entry-content">
                <div class="row ">
                    <div class="col-lg-6">
                        <ul class="large-img-card position-relative">
                            @if(@$about->first_image)
                            <li>
                                <img src="{{Storage::url(@$about->first_image)}}" class="img-fluid" alt="" data-aos="fade-down">
                            </li>
                            @endif
                            @if(@$about->long_image)
                            <li>
                                <img src="{{Storage::url(@$about->long_image)}}" class="img-fluid" alt="" data-aos="fade-up">
                            </li>
                            @endif
                        </ul>
                    </div>
                    <div class="col-lg-6">
                        <div class="intro-content ps-5">
                            <div class="section-intro mb-5 " data-aos="fade-in">
                                <div class="section-title">
                                    <h3 class="small-title">Introduction to</h3>
                                    <h2>{{@$about->title}}</h2>
                                </div>
                                {!!Str::words(strip_tags($aboutUs->description),50,'...')!!}
                            </div>
                            <ul class="group-btn">
                                <li><a href="{{route('frontend.about')}}" class="page-btn no-bg">Read More</a></li>
                            </ul>
                        </div>
                    </div>

                </div>
            </div>
        </section>
    </div>
</div>
@endif

<div class="news gmcs-news bg-light" >
    <div class="container">
        <section class="news-sec">
            <div class="section-intro text-center">
                <div class="section-title ">
                    <h2>Our News & Announcement</h2>
                </div>
                <p>Our latest news and announcement from GMCS. Please be updated with us</p>
            </div>
            <div class="entry-content">
                <div class="news-slider">
                    <div class="slide-item">
                        <div class="news-card">
                            <figure>
                                <img src="{{asset('frontend/images/news1.png')}}" class="img-fluid" alt>
                            </figure>
                            <div class="news-info">
                                <span class="date">24th Jan 2024</span>
                                <h3>Why You Should Read Every Day</h3>
                                <p>Lorem ipsum is placeholder text commonly used in the graphic, print, and
                                    publishing industries for previewing
                                </p>
                                <a href="single-news.php" class="page-btn">Read more </a>
                            </div>
                        </div>
                    </div>
                    <div class="slide-item">
                        <div class="news-card">
                            <figure>
                                <img src="{{asset('frontend/images/news2.jpg')}}" class="img-fluid" alt>
                            </figure>
                            <div class="news-info">
                                <span class="date">24th Jan 2024</span>
                                <h3>Why You Should Read Every Day</h3>
                                <p>Lorem ipsum is placeholder text commonly used in the graphic, print, and
                                    publishing industries for previewing
                                </p>
                                <a href="single-news.php" class="page-btn">Read more </a>
                            </div>
                        </div>
                    </div>
                    <div class="slide-item">
                        <div class="news-card">
                            <figure>
                                <img src="{{asset('frontend/images/news3.jpg')}}" class="img-fluid" alt>
                            </figure>
                            <div class="news-info">
                                <span class="date">24th Jan 2024</span>
                                <h3>Why You Should Read Every Day</h3>
                                <p>Lorem ipsum is placeholder text commonly used in the graphic, print, and
                                    publishing industries for previewing
                                </p>
                                <a href="single-news.php" class="page-btn">Read more </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>

@if(@$chairman)
<div class="chairman gmcs-chairman">
    <section class="chairman-sec">
        <div class="entry-content">
            <div class="chairman-img" data-aos="fade-right">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="abt-video position-relative h-100">
                            @if(@$chairman->image)
                            <img src="{{Storage::url(@$chairman->image)}}" class="img-fluid" alt="">
                            @endif
                          
                        </div>
                    </div>
                </div>
            </div>
            <div class="container">
                <div class="row">
                    <div class="offset-lg-6 col-lg-6">
                        <div class="chairman-content" data-aos="fade-in">
                            <div class="section-intro position-relative ">
                                <div class="section-title">
                                    <h3 class="small-title">Few Words</h3>
                                    <h2>From Chairman</h2>
                                </div>
                                <p>{{@$chairman->description}}</p>
                                    <a href="{{route('frontend.chairman')}}"> Read more</a>
                            </div>
                            <h3 class="chairman-name">{{@$chairman->name}}</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endif
<div class="featured-events gmcs-events" data-aos="fade-up">
    <div class="container">
        <section class="featured-events-sec">
            <div class="section-intro text-center">
                <div class="section-title ">
                    <h2> Events & Activities</h2>
                </div>
                <p>Our upcoming events and activities from GMCS. Please be updated with us</p>
            </div>
            <div class="entry-content">
                <div class="row">
                    <div class="col-lg-3 col-md-6">
                        <div class="event-card">
                            <div class="event-info">
                                <span class="date">
                                    24th <br> Jan 2024</span>
                                <h3>Buddha Jayanti</h3>
                                <p>Lorem ipsum is placeholder text commonly used in the graphic, print,</p>
                                <a href="single-event.php" class="page-btn no-bg">Read More</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3  col-md-6">
                        <div class="event-card">
                            <div class="event-info">
                                <span class="date">
                                    24th <br> Jan 2024</span>
                                <h3>Buddha Jayanti</h3>
                                <p>Lorem ipsum is placeholder text commonly used in the graphic, print,</p>
                                <a href="single-event.php" class="page-btn no-bg">Read More</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3  col-md-6">
                        <div class="event-card">
                            <div class="event-info">
                                <span class="date">
                                    24th <br> Jan 2024</span>
                                <h3>Buddha Jayanti</h3>
                                <p>Lorem ipsum is placeholder text commonly used in the graphic, print,</p>
                                <a href="single-event.php" class="page-btn no-bg">Read More</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3  col-md-6">
                        <div class="event-card">
                            <div class="event-info">
                                <span class="date">
                                    24th <br> Jan 2024</span>
                                <h3>Buddha Jayanti</h3>
                                <p>Lorem ipsum is placeholder text commonly used in the graphic, print,</p>
                                <a href="single-event.php" class="page-btn no-bg">Read More</a>
                            </div>
                        </div>
                    </div>


                </div>
                <div class="gmcs-calendar small-pt text-center" data-aos="fade-in">
                    <a href="images/UGC Website Contents.pdf" target="_blank">
                        <img src="{{asset('frontend/images/calendar.jpg')}}" alt="" class="img-fluid"> Download GMCS Calendar
                    </a>
                </div>
            </div>
        </section>
    </div>
</div>

<div class="faq gmcs-faq">
    <div class="container">
        <section class="faq-sec small-pt large-pb">
            <div class="entry-content">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="popup-video" data-aos="fade-in">
                            <div class="thumbnail-content">
                                <div class="video-thumbnail">
                                    <img src="{{asset('frontend/images/building.jpg')}}" class="img-fluid thumbnail">
                                </div>
                                <h2 class="video-title m-0">
                                    <a href="https://www.youtube.com/watch?v=DXStTwh9SSA" data-fancybox="images-preview"
                                        class="video-link">
                                        <span class="play-icon">
                                            <img src="{{asset('frontend/images/play-button-1.png')}}" class="img-fluid">
                                        </span>
                                    </a>
                                </h2>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="faq-content ps-5" data-aos="fade-right">
                            <div class="section-intro">
                                <div class="section-title">
                                    <h3 class="small-title">FAQ</h3>
                                    <h2>Frequently Asked Questions</h2>
                                </div>
                            </div>
                            <div class="faq-qa">
                                <div class="accordion" id="accordionExample">
                                    <div class="accordion-item">
                                        <h2 class="accordion-header" id="headingOne">
                                            <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                                data-bs-target="#collapseOne" aria-expanded="true"
                                                aria-controls="collapseOne">
                                                FAQ Item #1
                                            </button>
                                        </h2>
                                        <div id="collapseOne" class="accordion-collapse collapse show"
                                            aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                            <div class="accordion-body">
                                                Lorem ipsum is placeholder text commonly used in the graphic, print, and
                                                publishing industries for previewing layouts and visual mockups. Lorem
                                                ipsum is
                                                placeholder text commonly used in the graphic, print, and
                                                publishing industries for previewing layouts and visual mockups.
                                            </div>
                                        </div>
                                    </div>
                                    <div class="accordion-item">
                                        <h2 class="accordion-header" id="headingTwo">
                                            <button class="accordion-button collapsed" type="button"
                                                data-bs-toggle="collapse" data-bs-target="#collapseTwo"
                                                aria-expanded="false" aria-controls="collapseTwo">
                                                FAQ Item #2
                                            </button>
                                        </h2>
                                        <div id="collapseTwo" class="accordion-collapse collapse"
                                            aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                                            <div class="accordion-body">
                                                Lorem ipsum is placeholder text commonly used in the graphic, print, and
                                                publishing industries for previewing layouts and visual mockups. Lorem
                                                ipsum is
                                                placeholder text commonly used in the graphic, print, and
                                                publishing industries for previewing layouts and visual mockups.
                                            </div>
                                        </div>
                                    </div>
                                    <div class="accordion-item">
                                        <h2 class="accordion-header" id="headingThree">
                                            <button class="accordion-button collapsed" type="button"
                                                data-bs-toggle="collapse" data-bs-target="#collapseThree"
                                                aria-expanded="false" aria-controls="collapseThree">
                                                FAQ Item #3
                                            </button>
                                        </h2>
                                        <div id="collapseThree" class="accordion-collapse collapse"
                                            aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                            <div class="accordion-body">
                                                Lorem ipsum is placeholder text commonly used in the graphic, print, and
                                                publishing industries for previewing layouts and visual mockups. Lorem
                                                ipsum is
                                                placeholder text commonly used in the graphic, print, and
                                                publishing industries for previewing layouts and visual mockups.
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
@include('frontend.includes.quickcontact')

<div class="testimonials gmcs-testimonial" data-aos="fade-up"> 
    <div class="container">
        <section class="testimonial-sec">
            <div class="section-intro">
                <div class="section-title">
                    <h3 class="small-title">
                        Testimonials
                    </h3>
                    <h2>Best words from Parents</h2>
                </div>
            </div>
            <div class="entry-content">
                <div class="testimonial-slider">
                    <div class="slide-item">
                        <div class="testimonial-content">
                            <p>Lorem ipsum is placeholder text commonly used in the graphic, print,
                                Lorem ipsum is placeholder text commonly used in the graphic, print,
                                Lorem ipsum is placeholder text commonly used in the graphic, print,
                                Lorem ipsum is placeholder text commonly used in the graphic, print,
                            </p>
                            <div class="user-name d-flex align-items-center justify-content-center">
                                <img src="{{asset('frontend/images/user.png')}}" class="img-fluid" alt="">
                                <h3>John Brawn</h3>
                            </div>

                        </div>
                    </div>
                    <div class="slide-item">
                        <div class="testimonial-content">
                            <p>Lorem ipsum is placeholder text commonly used in the graphic, print,
                                Lorem ipsum is placeholder text commonly used in the graphic, print,
                                Lorem ipsum is placeholder text commonly used in the graphic, print,
                            </p>
                            <div class="user-name  d-flex align-items-center justify-content-center">
                                <img src="{{asset('frontend/images/user.png')}}" class="img-fluid" alt="">
                                <h3>John Brawn</h3>
                            </div>

                        </div>
                    </div>
                    <div class="slide-item">
                        <div class="testimonial-content">
                            <p>Lorem ipsum is placeholder text commonly used in the graphic, print,
                                Lorem ipsum is placeholder text commonly used in the graphic, print,
                            </p>
                            <p>Lorem ipsum is placeholder text commonly used in the graphic, print,
                                Lorem ipsum is placeholder text commonly used in the graphic, print,
                            </p>
                            <div class="user-name  d-flex align-items-center justify-content-center">
                                <img src="{{asset('frontend/images/user.png')}}" class="img-fluid" alt="">
                                <h3>John Brawn</h3>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<div class="cta gcms-cta position-relative" style="background:url({{asset('frontend/images/hero-2.jpg')}}) no-repeat center center / cover;">
    <div class="container">
        <section class="cta-sec text-center">
            <div class="section-intro" data-aos="fade-up">
                <div class="section-title">
                    <h2 class="text-white">We are progressive, ethical and highly successful.</h2>
                </div>
            </div>
            <a href="#" class="page-btn">Contact Us</a>
        </section>
    </div>
</div>

@endsection